"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GameSettings = void 0;
class GameSettings {
    constructor() {
        this.flags = -1;
        this.maxPlayers = -1;
        this.duration = -1;
        this.roundDuration = -1;
        this.startingLives = -1;
        this.scoringType = -1;
        this.scoreToWin = -1;
        this.gameSpeed = -1;
        this.damageRatio = -1;
        this.levelSetID = -1;
        this.unknown = -1;
        this.unknown2 = -1;
    }
    read(data) {
        this.flags = data.ReadInt();
        this.maxPlayers = data.ReadInt();
        this.duration = data.ReadInt();
        this.roundDuration = data.ReadInt();
        this.startingLives = data.ReadInt();
        this.scoringType = data.ReadInt();
        this.scoreToWin = data.ReadInt();
        this.gameSpeed = data.ReadInt();
        this.damageRatio = data.ReadInt();
        this.levelSetID = data.ReadInt();
        this.unknown = data.ReadInt();
        this.unknown2 = data.ReadInt();
    }
    write(data) {
        data.WriteInt(this.flags);
        data.WriteInt(this.maxPlayers);
        data.WriteInt(this.duration);
        data.WriteInt(this.roundDuration);
        data.WriteInt(this.startingLives);
        data.WriteInt(this.scoringType);
        data.WriteInt(this.scoreToWin);
        data.WriteInt(this.gameSpeed);
        data.WriteInt(this.damageRatio);
        data.WriteInt(this.levelSetID);
        data.WriteInt(this.unknown);
        data.WriteInt(this.unknown2);
    }
    static read(data) {
        const settings = new GameSettings();
        settings.read(data);
        return settings;
    }
}
exports.GameSettings = GameSettings;
