"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeroData = void 0;
class HeroData {
    constructor() {
        this.heroId = -1;
        this.costumeId = -1;
        this.stance = -1;
        this.weaponSkins = -1;
    }
    read(data) {
        this.heroId = data.ReadInt();
        this.costumeId = data.ReadInt();
        this.stance = data.ReadInt();
        this.weaponSkins = data.ReadInt(); // split into one high field and one low field (16 bits each)
    }
    write(data) {
        data.WriteInt(this.heroId);
        data.WriteInt(this.costumeId);
        data.WriteInt(this.stance);
        data.WriteInt(this.weaponSkins);
    }
    static read(data) {
        const heroData = new HeroData();
        heroData.read(data);
        return heroData;
    }
}
exports.HeroData = HeroData;
