/// <reference types="node" />
import { BitStream } from "./BitStream";
import { GameSettings } from "./GameSettings";
import { PlayerData } from "./PlayerData";
export declare type Entity = {
    id: number;
    name: string;
    data: PlayerData;
};
export declare type Input = {
    timestamp: number;
    inputState: number;
};
export declare type Face = {
    entityId: number;
    timestamp: number;
};
export declare class ReplayData {
    stateOrder: number[];
    length: number;
    results: {
        [entityId: number]: number;
    };
    deaths: Face[];
    victoryFaces: Face[];
    inputs: {
        [entityId: number]: Input[];
    };
    randomSeed: number;
    version: number;
    playlistId: number;
    playlistName?: string;
    onlineGame: boolean;
    gameSettings?: GameSettings;
    levelId: number;
    heroCount: number;
    entities: Entity[];
    endOfMatchFanfare: number;
    private readHeader;
    private writeHeader;
    private readPlayerData;
    private writePlayerData;
    private readResults;
    private writeResults;
    private readInputs;
    private writeInputs;
    private readFaces;
    private writeFaces;
    private xorData;
    private decompress;
    private compress;
    read(data: BitStream): void;
    write(stream?: BitStream): Buffer;
    static ReadReplay(data: Buffer): ReplayData;
}
